Package com.databricks.jdbc.api.impl

## Class DatabricksConnectionContextFactory

- java.lang.Object
- - com.databricks.jdbc.api.impl.DatabricksConnectionContextFactory

    public class DatabricksConnectionContextFactory
    extends Object

Factory class for creating instances of `IDatabricksConnectionContext`.

### Constructor Summary

Constructors
`DatabricksConnectionContextFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IDatabricksConnectionContext` `create​(String url, Properties properties)` Creates an instance of `IDatabricksConnectionContext` from the given URL and properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksConnectionContextFactory

    public DatabricksConnectionContextFactory()

### Method Detail

#### create

    public static IDatabricksConnectionContext create​(String url,
                                                      Properties properties)
                                               throws DatabricksSQLException

Creates an instance of `IDatabricksConnectionContext` from the given URL and properties.

Parameters:
  `url` - JDBC URL
  `properties` - JDBC connection properties
Returns:
  an instance of `IDatabricksConnectionContext`
Throws:
  `DatabricksSQLException` - if the URL or properties are invalid